#!/bin/sh
# $Id: update.sh 415 2003-08-10 16:13:53Z miles $

LISP="sbcl --noinform --disable-debugger"
WORKDIR=`dirname $0`
LISTDIR=$WORKDIR/lists
DOCROOT=$WORKDIR/docroot
INDENT=false
VERBOSE=false

usage () {
    cat <<USAGE
usage: update.sh [options] [lists]
options: 
    --indent generate indented html output
    --verbose generate extra output
USAGE
    exit 1
}

while [ $# -gt 0 ]; do 
    case $1 in
        --indent)
            INDENT=true
            shift
            ;;
        --verbose)
            VERBOSE=true
            shift
            ;;
        *)
            break
            ;;
    esac
done

if [ $# -lt 1 ]; then
    usage
fi

$LISP --load $WORKDIR/src/macho.lisp $WORKDIR $INDENT $VERBOSE $@
